<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head profile="http://gmpg.org/xfn/11">

<title><?php woo_title(); ?></title>
<?php woo_meta(); ?>

<link rel="stylesheet" type="text/css" href="<?php bloginfo('stylesheet_url'); ?>" media="screen" />
<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php if ( get_option('woo_feed_url') <> "" ) { echo get_option('woo_feed_url'); } else { echo get_bloginfo_rss('rss2_url'); } ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<?php wp_head(); ?>
<?php woo_head(); ?>
    
</head>

<body <?php body_class(); ?>>

<?php global $woo_options; ?>

<div id="background">

	<div id="top">
		<div class="col-full">
		
			<?php
			if ( function_exists('has_nav_menu') && has_nav_menu('primary-menu') ) {
				wp_nav_menu( array( 'depth' => 3, 'sort_column' => 'menu_order', 'container' => 'ul', 'menu_class' => 'nav1', 'theme_location' => 'primary-menu' ) );
			} else {
			?>
	        <ul class="nav1">
	        	<?php 
	            if ( get_option('woo_custom_nav_menu') == 'true' ) {
	            	if ( function_exists('woo_custom_navigation_output') )
	            		woo_custom_navigation_output('name=Woo Menu 1&depth=3');
	    
	            } else { ?>
	            <li <?php if ( is_home() ) { ?> class="current_page_item" <?php } ?>><a href="<?php echo get_option('home'); ?>/"><?php _e('Home', 'woothemes'); ?></a></li>
	            <?php wp_list_pages('sort_column=menu_order&title_li=&depth=3'); ?>
	            <?php } ?>
	        </ul>
		    <!--/nav1-->
			<?php } ?>
		
			<div class="subscribe">
		        <?php _e('Subscribe:', 'woothemes'); ?>
		        <a class="posts" href="<?php if ( get_option('woo_feed_url') <> "" ) { echo get_option('woo_feed_url'); } else { echo get_bloginfo_rss('rss2_url'); } ?>"><?php _e('Posts', 'woothemes'); ?></a>
		        <span class="sep">|</span>
		        <a class="comments" href="<?php bloginfo('comments_rss2_url'); ?>"><?php _e('Comments', 'woothemes'); ?></a>
		        <?php if (get_option('woo_subscribe_email') != "") { ?>
		        <span class="sep">|</span>
		        <a class="email" href="<?php echo get_option('woo_subscribe_email'); ?>" target="_blank"><?php _e('Email', 'woothemes'); ?></a>
		        <?php } ?>
	        </div>
			
			<div class="fix"></div>
		
		</div><!-- .col-full -->
	</div><!-- #top -->


	<div id="header">
		<div class="col-full">
			
			<div id="logo" >
	            <?php if (get_option('woo_texttitle') <> "true") : $logo = get_option('woo_logo'); ?>
	       		    <a href="<?php bloginfo('url'); ?>" title="<?php bloginfo('description'); ?>">
	       		        <img class="logo" src="<?php if ($logo) echo $logo; else { bloginfo('template_directory'); ?>/images/logo.png<?php } ?>" alt="<?php bloginfo('name'); ?>" />
	       		    </a>
	       		<?php endif; ?>
	            <?php if( is_singular() ) : ?>
	        	    <span class="site-title"><a href="<?php bloginfo('url'); ?>"><?php bloginfo('name'); ?></a></span>
	        	<?php else : ?>
	        	    <h1 class="site-title"><a href="<?php bloginfo('url'); ?>"><?php bloginfo('name'); ?></a></h1>
	        	<?php endif; ?>
	        	    <span class="site-description"><?php bloginfo('description'); ?></span>
			</div><!-- #logo -->
			
			<?php if ( $woo_options['woo_ad_top'] == 'true' ) { ?>
			
	        <div id="topad" class="fr">
				<?php if ($woo_options['woo_ad_top_adsense'] <> "") { echo stripslashes($woo_options['woo_ad_top_adsense']);  } else { ?>
					<a href="<?php echo $woo_options['woo_ad_top_url']; ?>"><img src="<?php echo $woo_options['woo_ad_top_image']; ?>" width="468" height="60" alt="advert" /></a>
				<?php } ?>		   	
			</div><!-- /#topad -->
	        
	        <?php } elseif ( $woo_options['woo_disable_search'] != 'true') { ?>

			<form method="get" id="searchform" action="<?php bloginfo('home'); ?>/">
				<div id="search">
					<input type="text" value="<?php _e('Enter search keyword', 'woothemes'); ?>" onclick="this.value='';" name="s" id="s" />
					<input name="" type="image" src="<?php bloginfo('template_directory'); ?>/images/btn-search-trans.png" value="Go" class="btn"  />
				</div><!--/search -->  
			</form><!-- #searchform -->
			
			<?php } ?>
			
			<div class="fix"></div>

		</div><!-- .col-full -->
	</div><!-- #header -->
	
	<div id="topmenu">
		<div class="col-full">
			<?php
			if ( function_exists('has_nav_menu') && has_nav_menu('secondary-menu') ) {
				wp_nav_menu( array( 'depth' => 6, 'sort_column' => 'menu_order', 'container' => 'ul', 'menu_class' => '', 'menu_id' => 'nav', 'theme_location' => 'secondary-menu' ) );
			} else {
			?>
			<ul id="nav">
				<?php 
	            if ( get_option('woo_custom_nav_menu') == 'true' ) {
	            	if ( function_exists('woo_custom_navigation_output') )
	            		woo_custom_navigation_output('name=Woo Menu 2');
	    
	            } else { ?>
				<?php wp_list_categories('title_li=&exclude=') ?>
				<?php } ?>
	            <li>&nbsp;</li>
			</ul>
	        <?php } ?>
			<div id="rss" class="fr">
	        	<a href="<?php if ( get_option('woo_feed_url') <> "" ) { echo get_option('woo_feed_url'); } else { echo get_bloginfo_rss('rss2_url'); } ?>"><img src="<?php bloginfo('template_directory'); ?>/images/ico-rss-trans.png" alt="RSS" /></a>
	       </div><!--/rss -->
	        
		</div><!-- .col-full -->
	</div><!-- #topmenu--> 	

	<div id="content" class="col-full">
